- Qt 5.15
- Qt 3D
- C++ Classes
- QFilterKey
- Qt 5.15.19 Reference Documentation

# QFilterKey Class

class Qt3DRender::QFilterKey

The QFilterKey class provides storage for filter keys and their values. More...

Header: | #include <QFilterKey>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | FilterKey
Inherits: | Qt3DCore::QNode

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

## Public Functions

QString | name() const
QVariant | value() const

## Public Slots

void | setName(const QString &customType)
void | setValue(const QVariant &value)

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

## Detailed Description

Filter keys are used by QTechnique and QRenderPass to specify at which stage of rendering the technique or the render pass is used.

Note: QFilterKey node can not be disabled.

## Property Documentation

### name : QString

Holds the name of the filter key.

Access functions:

QString | name() const
void | setName(const QString &customType)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Holds the value of the filter key.

Access functions:

QVariant | value() const
void | setValue(const QVariant &value)

Notifier signal:

void | valueChanged(const QVariant &value)